# ShopUpdateListener (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.listeners

## Class ShopUpdateListener

- java.lang.Object
- - de.epiceric.shopchest.listeners.ShopUpdateListener

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class ShopUpdateListener
    extends Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`ShopUpdateListener(ShopChest plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onPlayerChangedWorld(org.bukkit.event.player.PlayerChangedWorldEvent e)`
`void` `onPlayerJoin(org.bukkit.event.player.PlayerJoinEvent e)`
`void` `onPlayerRespawn(org.bukkit.event.player.PlayerRespawnEvent e)`
`void` `onShopUpdate(ShopUpdateEvent e)`
`void` `onWorldLoad(org.bukkit.event.world.WorldLoadEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShopUpdateListener

    public ShopUpdateListener(ShopChest plugin)

### Method Detail

#### onShopUpdate

    public void onShopUpdate(ShopUpdateEvent e)

#### onPlayerJoin

    public void onPlayerJoin(org.bukkit.event.player.PlayerJoinEvent e)

#### onPlayerChangedWorld

    public void onPlayerChangedWorld(org.bukkit.event.player.PlayerChangedWorldEvent e)

#### onPlayerRespawn

    public void onPlayerRespawn(org.bukkit.event.player.PlayerRespawnEvent e)

#### onWorldLoad

    public void onWorldLoad(org.bukkit.event.world.WorldLoadEvent e)